Package org.eclipse.m2m.atl.adt.ui.preferences

# Class AtlCodeFormatterProfilesTabPage

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage
org.eclipse.m2m.atl.adt.ui.preferences.AtlCodeFormatterProfilesTabPage

All Implemented Interfaces:
  `IModifyDialogTabPage`

public class AtlCodeFormatterProfilesTabPage extends ModifyDialogTabPage
The ATL formatter profiles tab page.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage

`ModifyDialogTabPage.ButtonPreference, ModifyDialogTabPage.CheckboxPreference, ModifyDialogTabPage.ComboPreference, ModifyDialogTabPage.DefaultFocusManager, ModifyDialogTabPage.NumberPreference, ModifyDialogTabPage.Preference, ModifyDialogTabPage.RadioPreference, ModifyDialogTabPage.StringPreference`

## Nested classes/interfaces inherited from interface org.eclipse.m2m.atl.adt.ui.preferences.IModifyDialogTabPage

`IModifyDialogTabPage.IModificationListener`

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage

`fDefaultFocusManager, fPixelConverter, fShowInvisibleButton, fUpdater, fWorkingValues`

## Constructor Summary

Constructors
Constructor
Description
`AtlCodeFormatterProfilesTabPage(ProfileManager manager, ProfileStore store, boolean isProjectSpecific)`

## Method Summary

Modifier and Type
Method
Description
`protected AtlPreview`
`doCreateAtlPreview(org.eclipse.swt.widgets.Composite parent)`
To be implemented by subclasses.
`protected void`
`doCreatePreferences(org.eclipse.swt.widgets.Composite composite, int numColumns)`
Create the left side of the modify dialog.
`protected org.eclipse.swt.widgets.Composite`
`doCreatePreviewPane(org.eclipse.swt.widgets.Composite composite, int numColumns)`
Create the right side of the modify dialog.
`protected void`
`doUpdatePreview()`
Update the preview.
`org.eclipse.swt.widgets.Button`
`getfEnableProjectSpecificSettings()`
`ProfileManager`
`getManager()`
`AtlPreview`
`getPreview()`
`org.eclipse.swt.widgets.List`
`getProfilesList()`
`protected void`
`initializePage()`
This method is called after all controls have been allocated, including the preview.
`void`
`updateTab(boolean enabled)`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage

`createCheckboxPref, createComboPref, createContents, createGridData, createGridLayout, createGroup, createLabel, createLabel, createNumberPref, createRadioPref, createStringPref, getShowInvisibleButton, makeVisible, notifyValuesModified, setInitialFocus, setModifyListener, setPreview, setWorkingValues, updateStatus`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlCodeFormatterProfilesTabPage

public AtlCodeFormatterProfilesTabPage(ProfileManager manager, ProfileStore store, boolean isProjectSpecific)

## Method Details

### getPreview

public AtlPreview getPreview()

Overrides:
  `getPreview` in class `ModifyDialogTabPage`

### getProfilesList

public org.eclipse.swt.widgets.List getProfilesList()

### getManager

public ProfileManager getManager()

### getfEnableProjectSpecificSettings

public org.eclipse.swt.widgets.Button getfEnableProjectSpecificSettings()

### initializePage

protected void initializePage()
Description copied from class: `ModifyDialogTabPage`
This method is called after all controls have been allocated, including the preview. It can be used to set the preview text and to create listeners.

Specified by:
  `initializePage` in class `ModifyDialogTabPage`

### doCreatePreferences

protected void doCreatePreferences(org.eclipse.swt.widgets.Composite composite, int numColumns)
Description copied from class: `ModifyDialogTabPage`
Create the left side of the modify dialog. This is meant to be implemented by subclasses.

Specified by:
  `doCreatePreferences` in class `ModifyDialogTabPage`
Parameters:
  `composite` - Composite to create in
  `numColumns` - Number of columns to use

### doCreatePreviewPane

protected org.eclipse.swt.widgets.Composite doCreatePreviewPane(org.eclipse.swt.widgets.Composite composite, int numColumns)
Description copied from class: `ModifyDialogTabPage`
Create the right side of the modify dialog. By default, the preview is displayed there. Subclasses can override this method in order to customize the right-hand side of the dialog.

Overrides:
  `doCreatePreviewPane` in class `ModifyDialogTabPage`
Parameters:
  `composite` - Composite to create in
  `numColumns` - Number of columns to use
Returns:
  Created composite

### doUpdatePreview

protected void doUpdatePreview()
Description copied from class: `ModifyDialogTabPage`
Update the preview. To be implemented by subclasses.

Specified by:
  `doUpdatePreview` in class `ModifyDialogTabPage`

### doCreateAtlPreview

protected AtlPreview doCreateAtlPreview(org.eclipse.swt.widgets.Composite parent)
Description copied from class: `ModifyDialogTabPage`
To be implemented by subclasses. This method should return an instance of JavaPreview. Currently, the choice is between CompilationUnitPreview which contains a valid compilation unit, or a SnippetPreview which formats several independent code snippets and displays them in the same window.

Specified by:
  `doCreateAtlPreview` in class `ModifyDialogTabPage`
Parameters:
  `parent` - Parent composite
Returns:
  Created preview

### updateTab

public void updateTab(boolean enabled)

Specified by:
  `updateTab` in class `ModifyDialogTabPage`